#include <stdio.h>

#include <fcntl.h>
#include <sys/stat.h>
#include <sys/types.h>
#include <unistd.h>

#include "error_handling.h"

#define DATA_FILE "output.dat"

int main(void)
{
	int fd;
	unsigned char byte;
	int rc;

	fd = open(DATA_FILE, O_RDONLY);
	DIE(fd < 0, "open");

	while ((rc = read(fd, &byte, 1)) > 0) {
		DIE(rc < 0, "read");

		printf("%u ", byte);
	}
	printf("\n");

	DIE(close(fd), "close");

	return 0;
}

